Bug 955145 - lighttpd package should be built with PIE flags [NEEDINFO]
lighttpd package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lighttpd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 09:26 EDT by Dhiru Kholia
Modified: 2014-03-24 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: lighttpd-1.4.34-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-22 13:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dkholia: needinfo? (matthias)


Attachments (Terms of Use)
this should enable PIE (22.29 KB, text/x-rpm-spec)
2013-05-14 06:51 EDT, Dhiru Kholia
no flags Details
enable PIE (latest patch against rawhide) (329 bytes, patch)
2013-12-22 00:16 EST, Dhiru Kholia
no flags Details | Diff

  None (edit)
Description Dhiru Kholia 2013-04-22 09:26:03 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently lighttpd is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

lighttpd-1.4.31-3.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py lighttpd-1.4.31-3.fc19.x86_64.rpm
lighttpd,lighttpd-1.4.31-3.fc19.x86_64.rpm,/usr/sbin/lighttpd,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
lighttpd,lighttpd-1.4.31-3.fc19.x86_64.rpm,/usr/sbin/lighttpd-angel,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
Comment 1 Dhiru Kholia 2013-05-14 06:51:40 EDT
Created attachment 747626 [details]
this should enable PIE
Comment 2 Dhiru Kholia 2013-12-22 00:16:10 EST
Created attachment 840260 [details]
enable PIE (latest patch against rawhide)
Comment 3 Dhiru Kholia 2013-12-22 00:17:52 EST
Hi Matt,

Can you please test and apply this patch (to enable PIE) ASAP? Thanks!
Comment 4 Fedora Admin XMLRPC Client 2014-02-05 11:31:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2014-02-12 15:49:52 EST
lighttpd-1.4.34-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lighttpd-1.4.34-3.fc20
Comment 6 Fedora Update System 2014-02-12 15:50:27 EST
lighttpd-1.4.34-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lighttpd-1.4.34-3.fc19
Comment 7 Fedora Update System 2014-02-14 03:05:18 EST
Package lighttpd-1.4.34-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lighttpd-1.4.34-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2495/lighttpd-1.4.34-3.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-02-22 13:18:15 EST
lighttpd-1.4.34-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-02-22 13:21:42 EST
lighttpd-1.4.34-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.